V1 APIInventory
List unit types
Floor plans grouped by bedroom count, with square-footage and pricing ranges rolled up. The usual source for a "1 / 2 / 3 bedroom" summary.
GET
/api/v1/property/{property}/unit-typesFloor plans grouped by bedroom count, with square-footage and pricing ranges rolled up. The usual source for a "1 / 2 / 3 bedroom" summary.
Path Parameters
property*string
Property UUID. This route is unauthenticated and unscoped, so it does not accept a slug — to address a property by slug, use /api/v1/connection/{connection}/property/{property}.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/property/019dbc38-d49e-7310-95d4-711a5b7a4b40/unit-types"{ "data": [ { "unitTypeName": "string", "unitTypeSlug": "string", "bedrooms": 0, "minSquareFeet": 0, "maxSquareFeet": 0, "minPriceAvailable": 0, "maxPriceAvailable": 0, "minBaseRent": 0, "maxBaseRent": 0, "minTmlp": 0, "maxTmlp": 0, "fees": [ { "fee_id": "6a6e29c0-8cb8-4e1c-8beb-6b16e737bdd5", "code": "string", "name": "string", "description": "string", "class": "string", "calculated_amount": 0, "is_variable": true, "currency": "USD", "frequency": "string", "requirement": "string" } ], "feeTotal": 0, "feeTotalMax": 0, "totalUnits": 0, "availableUnits": 0 } ]}